Microsoft.Build.Engine 2.0.0.0 System.Object Microsoft.Build.Framework.ILogger To be added.

Implements the standard console logger that outputs event data to the console window during a build.

- Constructor
  To be added.

  Initializes a new instance of the class.

  2.0.0.0
- Constructor
  To be added.

  Initializes a new instance of the class with the specified .

  The to apply to the logger.
  2.0.0.0
- Constructor
  To be added.

  Initializes a new instance of the class with the specified , , and values.

  The to apply to the logger.
  The for the logger to use.
  The for the logger to use.
  The for the logger to use.
  2.0.0.0
- Method
  System.Void `` `` To be added.

  Adds the specified parameter name and value to the logger.

  The parameter name to add to the logger. The parameter value to assign to the . 2.0.0.0
- Method
  System.Void `` `` To be added. To be added.

  Handles the event.

  The source of the event. 2.0.0.0
- Method
  System.Void `` `` To be added. To be added.

  Handles the event.

  The source of the event. 2.0.0.0
- Method
  System.Void `` `` To be added. To be added.

  Handles the event.

  The source of the event. 2.0.0.0
- Method
  System.Void `` `` To be added. To be added.

  Handles the event.

  The source of the event. 2.0.0.0
- Method
  System.Void `` To be added.

  Registers the logger for the specified events.

  The to register with the logger. 2.0.0.0
- Method
  System.Void `` `` To be added. To be added.

  Handles the event.

  The source of the event. 2.0.0.0
- Property
  System.String To be added. To be added.

  Gets or sets the parameters passed to the .

  2.0.0.0
- Method
  System.Void `` `` To be added. To be added.

  Handles the event.

  The source of the event. 2.0.0.0
- Method
  System.Void `` `` To be added. To be added.

  Handles the event.

  The source of the event. 2.0.0.0
- Property
  System.Boolean To be added. To be added.

  Gets or sets a value indicating whether the logger will display a summary of errors and warnings.

  2.0.0.0
- Method
  System.Void

  The default console logger does not need to release any resources. This method does nothing.

  Stops the logger and releases all resources.

  2.0.0.0
- Property
  System.Boolean To be added. To be added.

  Gets or sets a value indicating whether the logger will display messages when new projects are started during the build.

  2.0.0.0
- Method
  System.Void `` `` To be added. To be added.

  Handles the event.

  The source of the event. 2.0.0.0
- Method
  System.Void `` `` To be added. To be added.

  Handles the event.

  The source of the event. 2.0.0.0
- Method
  System.Void `` `` To be added. To be added.

  Handles the event.

  The source of the event. 2.0.0.0
- Method
  System.Void `` `` To be added. To be added.

  Handles the event.

  The source of the event. 2.0.0.0
- Property
  Microsoft.Build.Framework.LoggerVerbosity To be added. To be added.

  Gets or sets the level of the logger.

  2.0.0.0
- Method
  System.Void `` `` To be added. To be added.

  Handles the event.

  The source of the event. 2.0.0.0
- Property
  Microsoft.Build.BuildEngine.WriteHandler To be added. To be added.

  Gets or sets to the delegate for the .

  2.0.0.0